Name:           gnome-bt
Version:        0.0.22
Release:        1
Summary:        Gnome BitTorrent Downloader

%define po_package gnome-btdownload

Group:          Applications/Internet
License:        custom MIT-like license
URL:            http://gnome-bt.sourceforge.net/
Source0:        gnome-btdownload-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Patch1:         gnome-btdownload-0.0.22-gettext.patch

BuildRequires:  python
BuildRequires:  GConf2
Prereq: /usr/bin/update-desktop-database
Requires:       gnome-python2 => 2.10.0
Requires:       gnome-python2-gconf
Requires:       gnome-python2-gnomevfs
Requires:       pygtk2 => 2.4.0
Requires:       python
Requires:       bittorrent

%description
A Gnome "mime-sink" for BitTorrent files. It's not meant to be an entire
front-end, just a program that pops up when you "execute" the torrent files. 

%prep
%setup -q  -n gnome-btdownload-%{version}
%patch1 -p1 -b .gettext

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-btdownload.schemas > /dev/null
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications

%files -f %{po_package}.lang 
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/gnome-btdownload
%{_datadir}/applications/gnome-btdownload.desktop
%{_datadir}/gnome-btdownload
%{_sysconfdir}/gconf/schemas/gnome-btdownload.schemas
%{_mandir}/man1/*
%{_datadir}/application-registry/gnome-btdownload.applications
%{_datadir}/mime-info/gnome-btdownload.*

%changelog
* Thu Dec 15 2005 Alexander Larsson <alexl@redhat.com> - 0.0.22-1
- Initial version

